CREATE TABLE zoom_users (
	id		serial		PRIMARY KEY,		-- our internal
	user_id		varchar(255)	UNIQUE NOT NULL,	-- Zoom's
	email		varchar(255)	NOT NULL,
	full_name	varchar(255)	NOT NULL
);

CREATE TABLE zoom_meetings (
	id		serial		PRIMARY KEY,		-- our internal
	meeting_id	int		NOT NULL,		-- Zoom's meeting ID
	uuid		varchar(255)	NOT NULL,		-- Zoom's meeting instance ID
	occurrence_id	bigint		DEFAULT NULL,		-- Occurrence for recurring meetings
	host_id		int		NOT NULL REFERENCES zoom_users(id),
	topic		varchar(255)	DEFAULT '',
	type		int		NOT NULL,		-- 1=instant, 2=scheduled, 3=recurring no time, 8=recurring fixed time
	start_time	timestamp	NOT NULL,
	duration	int		NOT NULL		-- minutes
);
